package dk.nsp.idsas.operations.ws;

import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import dk.nsp.idsas.service.CleanupService;
import dk.nsp.idsas.ws.AbstractServlet;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;

@WebServlet(name="CleanUpServlet", urlPatterns={"/cleanup-blurrings"})
public class CleanUpServlet extends AbstractServlet {
    private static final Logger logger = Logger.getLogger(CleanUpServlet.class);

    @Autowired
    private CleanupService cleanupService;

    @Override
    public void doGet(HttpServletRequest request, HttpServletResponse response) {
        logger.trace("Enter cleanup blurrings");

        cleanupService.cleanUpBlurrings();
    }

}
